Deployments.ai Docs
Security

Activate, require, or disable sign-in through the identity provider

PUT /v1/identity-provider/state · SDK setIdentityProviderState · CLI deployments identity-provider set-state

PUT
/v1/identity-provider/state

Requires members:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
enforcement*string
Value in"optional""required"
kind*"active"
Value in"active"

Response Body

IdentityProviderResponse

application/json
  1. response
connectionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
displayName*string
issuer*string
jit*|
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
state*|
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
clientId*string
clientSecretSetAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
endpoints*
protocol*"oidc"
Value in"oidc"
redirectUri*string
signingAlgorithms*array<>
tokenEndpointAuthMethod*string
Value in"client_secret_basic""client_secret_post"
curl -X PUT "https://example.com/v1/identity-provider/state" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "enforcement": "optional",    "kind": "active"  }'
{  "connectionId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "displayName": "string",  "issuer": "string",  "jit": {    "kind": "disabled"  },  "organizationId": "string",  "state": {    "enforcement": "optional",    "kind": "active"  },  "updatedAt": "2019-08-24T14:15:22Z",  "clientId": "string",  "clientSecretSetAt": "2019-08-24T14:15:22Z",  "endpoints": {    "authorization": "string",    "jwks": "string",    "token": "string",    "userinfo": "string"  },  "protocol": "oidc",  "redirectUri": "string",  "signingAlgorithms": [    "RS256"  ],  "tokenEndpointAuthMethod": "client_secret_basic"}